Index: sandbox/2.5.0-expresso1/expressoMail1_2/js/messages_controller.js
===================================================================
--- sandbox/2.5.0-expresso1/expressoMail1_2/js/messages_controller.js	(revision 7005)
+++ sandbox/2.5.0-expresso1/expressoMail1_2/js/messages_controller.js	(revision 7146)
@@ -9,5 +9,74 @@
  * Retorna os cabeçalhos das mensagens a serem desenhadas na caixa de email.
  */
-	messages_proxy.prototype.messages_list = function(folder,msg_range_begin,emails_per_page,sort_box_type,search_box_type,sort_box_reverse,preview_msg_subject,preview_msg_tip,call_back) {
+    messages_proxy.prototype.messages_list = function(folder,msg_range_begin,emails_per_page,sort_box_type,search_box_type,sort_box_reverse,preview_msg_subject,preview_msg_tip,call_back) {
+        if(this.is_local_folder(folder)) {
+
+            //MAILARCHIVER-01
+            
+            //var baseFolder = folder.substr(6);
+            var baseFolder = folder.replace('local_messages_', '');
+            var tree_name;
+            //var drawinginfo = {treeObject: tree_name, treeName: tree_name, folderName: baseFolder};
+            var drawinginfo = {};
+            expresso_mail_archive.update_counters = false;
+            expresso_mail_archive.currentfolder = baseFolder;
+            expresso_mail_archive.getFolderInfo(expresso_mail_archive.currentfolder);
+            expresso_mail_archive.drawdata = drawinginfo;
+
+            if(tree_name == 'tree_folders'){ //only the 'tree_folders' must show messages. 'folders_tree' are just for managment operation
+                console.log('if 1');
+                var exp_dfs = new Array(baseFolder,msg_range_begin,emails_per_page,sort_box_type,search_box_type, sort_box_reverse,preview_msg_subject,preview_msg_tip);
+                expresso_mail_archive.queryconfig.setExpressoDefaults(exp_dfs);
+                expresso_mail_archive.listMessages();
+            }
+            else{
+                if (!tree_name){
+                    console.log('if 2');
+                    //window.alert('sem arvore para atualizar, com sort_box_type =' + sort_box_type + ' e search_box_type= ' + search_box_type + ' reverse -- ' + sort_box_reverse);
+                    var exp_dfs = new Array(baseFolder,msg_range_begin,emails_per_page,sort_box_type,search_box_type,sort_box_reverse,preview_msg_subject,preview_msg_tip);
+                    console.log(exp_dfs);
+                    expresso_mail_archive.queryconfig.setExpressoDefaults(exp_dfs);
+                    expresso_mail_archive.listMessages();
+                }
+                if(tree_name == 'folders_tree'){
+                    console.log('if 3   ');
+                    /*var div_export_local = document.createElement('div');
+                    div.style.width
+                    var lbl_check = document.createElement('label');
+                    var check_export_local_recursive = document.createElement('input');
+                    var lbl_combo = document.createElement('label');
+                    var combo_export_local_format = document.createElement('select');*/
+                    //window.alert('alert td content = ' + Element('div_buttons').getElementsByTagName('table')[0].tbody[0].tr[4].td[0].innerHTML);
+                    //Element('div_buttons').appendChild(div_export_local);
+                }
+            }
+
+        }else {
+            $.ajax({
+                url: "controller.php?" + $.param( {action: "$this.imap_functions.get_range_msgs3", 
+                                    folder: folder, 
+                                    msg_range_begin: msg_range_begin, 
+                                    msg_range_end: emails_per_page, 
+                                    sort_box_type: sort_box_type, 
+                                    search_box_type: search_box_type, 
+                                    sort_box_reverse: sort_box_reverse } ),
+
+                  success: function( data ){
+                    data = connector.unserialize(data);
+                    
+                    if( data )
+                        call_back( data );
+                  },
+                  beforeSend: function( jqXHR, settings ){
+                    connector.showProgressBar();
+                  },
+                  complete: function( jqXHR, settings ){
+                    connector.hideProgressBar();
+                  }
+              
+            });
+        }
+    }
+	messages_proxy.prototype.messages_list_old = function(folder,msg_range_begin,emails_per_page,sort_box_type,search_box_type,sort_box_reverse,preview_msg_subject,preview_msg_tip,call_back) {
 		if(this.is_local_folder(folder)) {
 			var real_folder = folder.substr(6);		
@@ -53,9 +122,13 @@
 	messages_proxy.prototype.get_msg = function(msg_number,msg_folder,set_flag,call_back) {
 		if(this.is_local_folder(msg_folder)) {
-			if(set_flag)
-				expresso_local_messages.set_messages_flag(msg_number,"seen");
-			var data = expresso_local_messages.get_local_mail(msg_number);	
-
-			eval("call_back(data)");
+			
+
+            //if(set_flag)
+			// 	expresso_local_messages.set_messages_flag(msg_number,"seen");
+			// var data = expresso_local_messages.get_local_mail(msg_number);	
+            //MAILARCHIVER-02
+            expresso_mail_archive.getMessage(msg_number);
+
+			//eval("call_back(data)");
 		}else{
 		    $.ajax({
@@ -119,7 +192,10 @@
 
 		if(info_msg.local_message==true) {
-			return "javascript:download_local_attachment('"+
-					expresso_local_messages.get_url_anexo(info_msg.msg_number,info_msg.attachments[numero_ordem_anexo].pid)+
-					"')";
+            //ma serpro
+			// return "javascript:download_local_attachment('"+
+			// 		expresso_local_messages.get_url_anexo(info_msg.msg_number,info_msg.attachments[numero_ordem_anexo].pid)+
+			// 		"')";
+            //MAILARCHIVER-04
+            return "javascript:download_local_attachment('"+ mail_archive_protocol+'://'+mail_archive_host+':'+mail_archive_port+'/temp/download/' +info_msg.attachments[numero_ordem_anexo].pid + "')";
 		}
 		else {
@@ -140,5 +216,6 @@
 	messages_proxy.prototype.proxy_set_messages_flag = function (flag,msg_number){
 		if(this.is_local_folder(get_current_folder())) {
-			expresso_local_messages.set_messages_flag(msg_number,flag);
+            //mail archiver
+			//expresso_local_messages.set_messages_flag(msg_number,flag);
 		}
 		else {
Index: sandbox/2.5.0-expresso1/expressoMail1_2/js/local_messages.js
===================================================================
--- sandbox/2.5.0-expresso1/expressoMail1_2/js/local_messages.js	(revision 5264)
+++ sandbox/2.5.0-expresso1/expressoMail1_2/js/local_messages.js	(revision 7146)
@@ -157,5 +157,8 @@
 
 local_messages.prototype.init_local_messages = function(){ //starts only database operations
-		
+		return 'retorno local_messages.prototype.init_local_messages';
+}
+
+local_messages.prototype.init_local_messages_old = function(){
     if(this.dbGears==null || this.localServer==null || this.store == null)
 	this.create_objects();
@@ -835,5 +838,7 @@
 
 local_messages.prototype.get_local_range_msgs = function(folder,msg_range_begin,emails_per_page,sort,sort_reverse,search,preview_msg_subject,preview_msg_tip) {
-
+        this.init_local_messages();
+}
+local_messages.prototype.get_local_range_msgs_old = function(folder,msg_range_begin,emails_per_page,sort,sort_reverse,search,preview_msg_subject,preview_msg_tip) {
     this.init_local_messages();
     var retorno = new Array();
